Attribute VB_Name = "mdlOmron"
' VvʐM For OMRON@p@Cu
'
'Ver 1.01
'쐬@RZp@R
'쐬 2010/3/17

Option Explicit


Function ReadRelay(Obj As Rs, ByVal RelayType$, ByVal No%, ByVal CH As Long, ByVal DataNum As Long)
  Dim i, d() As Long, SD$, Ret$, s$
  
  ReDim d(0)
  d(0) = -1
  ReadRelay = d
  If (DataNum <= 0) Or (DataNum > 30) Then
    Exit Function
  End If
  SD = "@" & Format(No, "00") & RelayType & Format(CH, "0000") & Format(DataNum, "0000")
  Ret = Obj.SendExsyn(SD, 0)
  If Ret = "" Then
    Exit Function
  End If
  If Mid(Ret, 4, 2) = RelayType Then
    If Mid(Ret, 6, 2) = "00" Then
      ReDim d(DataNum - 1)
      Select Case RelayType
        Case "RC"
          For i = 0 To DataNum - 1
            s = Mid(Ret, 8 + 4 * i, 4)
            d(i) = Val(s)
          Next
        Case "RG"
          For i = 0 To DataNum - 1
            s = Mid(Ret, 8 + i, 1)
            d(i) = Val(s)
          Next
        Case Else
          For i = 0 To DataNum - 1
            s = Mid(Ret, 8 + 4 * i, 4)
            d(i) = CLng("&H" & s)
          Next
      End Select
      ReadRelay = d
    End If
  End If

End Function

Function WriteRelay(Obj As Rs, ByVal RelayType$, ByVal No%, ByVal CH As Long, WrData() As Long, ByVal DataNum As Long) As Boolean
  Dim i, SD$, Ret$, s$
  
  WriteRelay = False
  If (DataNum <= 0) Or (DataNum > 29) Then
    Exit Function
  End If
  SD = "@" & Format(No, "00") & RelayType & Format(CH, "0000")
  Select Case RelayType
    Case "WC"
      For i = 0 To DataNum - 1
        SD = SD & Format(WrData(i), "0000")
      Next
    Case "WG"
      For i = 0 To DataNum - 1
        SD = SD & Format(WrData(i), "0")
      Next
    Case Else
      For i = 0 To DataNum - 1
        SD = SD & Right("0000" & Hex(WrData(i)), 4)
      Next
  End Select
  Ret = Obj.SendExsyn(SD, 0)
  If Ret = "" Then
    Exit Function
  End If
  If Mid(Ret, 4, 2) = RelayType Then
    If Mid(Ret, 6, 2) = "00" Then
      WriteRelay = True
    End If
  End If
End Function


'w̃[GÃf[^ǂݍފ֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'CH       ǂݏoJn`l
'DataNum  `l(1`30)
'
'֐̎sɐꍇA10if[^̓zԂB
'sꍇAzO-1ĕԂBFR(0)=-1
Function ReadR(Obj As Rs, ByVal No%, ByVal CH As Long, ByVal DataNum As Long)
  ReadR = ReadRelay(Obj, "RR", No, CH, DataNum)
End Function

'w̃[GAɃf[^ފ֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'CH       ݊Jn`l
'WrData   ރf[^̔z
'DataNum  f[^(1`29)
'
'֐̎sɐꍇATRUEԂB
'sꍇAFALSEԂB
Function WriteR(Obj As Rs, ByVal No%, ByVal CH As Long, WrData() As Long, ByVal DataNum As Long) As Boolean
  WriteR = WriteRelay(Obj, "WR", No, CH, WrData, DataNum)
End Function

'w̃f[^̃f[^ǂݍފ֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'CH       ǂݏoJn`l
'DataNum  `l(1`30)
'
'֐̎sɐꍇA10if[^̓zԂB
'sꍇAzO-1ĕԂBFR(0)=-1
Function ReadD(Obj As Rs, ByVal No%, ByVal CH As Long, ByVal DataNum As Long)
  ReadD = ReadRelay(Obj, "RD", No, CH, DataNum)
End Function

'w̃f[^Ƀf[^ފ֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'CH       ݊Jn`l
'WrData   ރf[^̔z
'DataNum  f[^(1`29)
'
'֐̎sɐꍇATRUEԂB
'sꍇAFALSEԂB
Function WriteD(Obj As Rs, ByVal No%, ByVal CH As Long, WrData() As Long, ByVal DataNum As Long) As Boolean
  WriteD = WriteRelay(Obj, "WD", No, CH, WrData, DataNum)
End Function

'w̃N[̃f[^ǂݍފ֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'CH       ǂݏoJn`l
'DataNum  `l(1`30)
'
'֐̎sɐꍇA10if[^̓zԂB
'sꍇAzO-1ĕԂBFR(0)=-1
Function ReadL(Obj As Rs, ByVal No%, ByVal CH As Long, ByVal DataNum As Long)
  ReadL = ReadRelay(Obj, "RL", No, CH, DataNum)
End Function

'w̃N[Ƀf[^ފ֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'CH       ݊Jn`l
'WrData   ރf[^̔z
'DataNum  f[^(1`29)
'
'֐̎sɐꍇATRUEԂB
'sꍇAFALSEԂB
Function WriteL(Obj As Rs, ByVal No%, ByVal CH As Long, WrData() As Long, ByVal DataNum As Long) As Boolean
  WriteL = WriteRelay(Obj, "WL", No, CH, WrData, DataNum)
End Function

'w̕ێ[̃f[^ǂݍފ֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'CH       ǂݏoJn`l
'DataNum  `l(1`30)
'
'֐̎sɐꍇA10if[^̓zԂB
'sꍇAzO-1ĕԂBFR(0)=-1
Function ReadH(Obj As Rs, ByVal No%, ByVal CH As Long, ByVal DataNum As Long)
  ReadH = ReadRelay(Obj, "RH", No, CH, DataNum)
End Function

'w̕ێ[Ƀf[^ފ֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'CH       ݊Jn`l
'WrData   ރf[^̔z
'DataNum  f[^(1`29)
'
'֐̎sɐꍇATRUEԂB
'sꍇAFALSEԂB
Function WriteH(Obj As Rs, ByVal No%, ByVal CH As Long, WrData() As Long, ByVal DataNum As Long) As Boolean
  WriteH = WriteRelay(Obj, "WH", No, CH, WrData, DataNum)
End Function

'w̕⏕L[̃f[^ǂݍފ֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'CH       ǂݏoJn`l
'DataNum  `l(1`30)
'
'֐̎sɐꍇA10if[^̓zԂB
'sꍇAzO-1ĕԂBFR(0)=-1
Function ReadJ(Obj As Rs, ByVal No%, ByVal CH As Long, ByVal DataNum As Long)
  ReadJ = ReadRelay(Obj, "RJ", No, CH, DataNum)
End Function

'w̕⏕L[Ƀf[^ފ֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'CH       ݊Jn`l
'WrData   ރf[^̔z
'DataNum  f[^(1`29)
'
'֐̎sɐꍇATRUEԂB
'sꍇAFALSEԂB
Function WriteJ(Obj As Rs, ByVal No%, ByVal CH As Long, WrData() As Long, ByVal DataNum As Long) As Boolean
  WriteJ = WriteRelay(Obj, "WJ", No, CH, WrData, DataNum)
End Function

'w̃^C}AJE^̃f[^ǂݍފ֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'CH       ǂݏoJn`l
'DataNum  `l(1`30)
'
'֐̎sɐꍇA10if[^̓zԂB
'sꍇAzO-1ĕԂBFR(0)=-1
Function ReadC(Obj As Rs, ByVal No%, ByVal CH As Long, ByVal DataNum As Long)
  ReadC = ReadRelay(Obj, "RC", No, CH, DataNum)
End Function

'w̃^C}AJE^Ƀf[^ފ֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'CH       ݊Jn`l
'WrData   ރf[^̔z
'DataNum  f[^(1`29)
'
'֐̎sɐꍇATRUEԂB
'sꍇAFALSEԂB
Function WriteC(Obj As Rs, ByVal No%, ByVal CH As Long, WrData() As Long, ByVal DataNum As Long) As Boolean
  WriteC = WriteRelay(Obj, "WC", No, CH, WrData, DataNum)
End Function

'w̃^C}AJE^̃Abvf[^ǂݍފ֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'CH       ǂݏoJn`l
'DataNum  `l(1`120)
'
'֐̎sɐꍇA10if[^̓zԂB
'sꍇAzO-1ĕԂBFR(0)=-1
Function ReadG(Obj As Rs, ByVal No%, ByVal CH As Long, ByVal DataNum As Long)
  Dim i, d() As Long, SD$, Ret$, s$
  Dim RelayType$
  
  RelayType = "RG"
  ReDim d(0)
  d(0) = -1
  ReadG = d
  If (DataNum <= 0) Or (DataNum > 120) Then
    Exit Function
  End If
  SD = "@" & Format(No, "00") & RelayType & Format(CH, "0000") & Format(DataNum, "0000")
  Ret = Obj.SendExsyn(SD, 0)
  If Ret = "" Then
    Exit Function
  End If
  If Mid(Ret, 4, 2) = RelayType Then
    If Mid(Ret, 6, 2) = "00" Then
      ReDim d(DataNum - 1)
      For i = 0 To DataNum - 1
        s = Mid(Ret, 8 + i, 1)
        d(i) = Val(s)
      Next
      ReadG = d
    End If
  End If
End Function

'w̃^C}AJE^ɃAbvf[^ފ֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'CH       ݊Jn`l
'WrData   ރf[^̔ziĺAO܂͂P݂̂łj
'DataNum  f[^(1`118)
'
'֐̎sɐꍇATRUEԂB
'sꍇAFALSEԂB
Function WriteG(Obj As Rs, ByVal No%, ByVal CH As Long, WrData() As Long, ByVal DataNum As Long) As Boolean
  Dim i, SD$, Ret$, s$
  Dim RelayType$
  
  RelayType = "WG"
  WriteG = False
  If (DataNum <= 0) Or (DataNum > 118) Then
    Exit Function
  End If
  SD = "@" & Format(No, "00") & RelayType & Format(CH, "0000")
  For i = 0 To DataNum - 1
    SD = SD & Format(WrData(i), "0")
  Next
  Ret = Obj.SendExsyn(SD, 0)
  If Ret = "" Then
    Exit Function
  End If
  If Mid(Ret, 4, 2) = RelayType Then
    If Mid(Ret, 6, 2) = "00" Then
      WriteG = True
    End If
  End If
End Function

'Xe[^Xǂݏo֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'StData   Xe[^Xf[^ 16i4̕
'StMsg    bZ[W
'
'֐̎sɐꍇATRUEԂB
'sꍇAFALSEԂB
Function ReadMS(Obj As Rs, ByVal No%, ByRef StData$, ByRef StMsg$) As Boolean
  Dim SD$, Ret$, s$, l%
  Dim RelayType$
  
  RelayType = "MS"
  ReadMS = False
  
  SD = "@" & Format(No, "00") & RelayType
  Ret = Obj.SendExsyn(SD, 0)
  If Ret = "" Then
    Exit Function
  End If
  If Mid(Ret, 4, 2) = RelayType Then
    If Mid(Ret, 6, 2) = "00" Then
      l = Len(Ret)
      StMsg = Mid(Ret, 12, l - 14)
      StData = Mid(Ret, 8, 4)
      ReadMS = True
    End If
  End If
End Function

'Xe[^X݊֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'StData   Xe[^Xf[^ 16i2̕
'@@@@@FCQM1ł́A00FvO[h
'                      02Fj^[h
'                      03F^][h
'             ̂ݗLłB
'֐̎sɐꍇATRUEԂB
'sꍇAFALSEԂB
Function WriteSC(Obj As Rs, ByVal No%, ByVal StData$) As Boolean
  Dim SD$, Ret$
  Dim RelayType$
  
  RelayType = "SC"
  WriteSC = False
  
  SD = "@" & Format(No, "00") & RelayType & Right("00" & StData, 2)
  Ret = Obj.SendExsyn(SD, 0)
  If Ret = "" Then
    Exit Function
  End If
  If Mid(Ret, 4, 2) = RelayType Then
    If Mid(Ret, 6, 2) = "00" Then
      WriteSC = True
    End If
  End If
End Function

'̏ǂݏo֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'OnOff    ُ@1:ُ 0:ُȂ
'StData1   Xe[^Xf[^1 16i4̕
'StData2   Xe[^Xf[^2 16i4̕
'
'֐̎sɐꍇATRUEԂB
'sꍇAFALSEԂB
Function ReadMF(Obj As Rs, ByVal No%, ByVal OnOff%, StData1$, StData2$) As Boolean
  Dim SD$, Ret$, s$
  Dim RelayType$
  
  RelayType = "MF"
  ReadMF = False
  
  SD = "@" & Format(No, "00") & RelayType & Format(OnOff, "00")
  Ret = Obj.SendExsyn(SD, 0)
  If Ret = "" Then
    Exit Function
  End If
  If Mid(Ret, 4, 2) = RelayType Then
    If Mid(Ret, 6, 2) = "00" Then
      StData1 = Mid(Ret, 8, 4)
      StData2 = Mid(Ret, 12, 4)
      ReadMF = True
    End If
  End If
End Function

'@R[hǂݏo֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'StData1   @R[h 16i2̕
'StData2   @햼̕
'
'֐̎sɐꍇATRUEԂB
'sꍇAFALSEԂB
Function ReadMM(Obj As Rs, ByVal No%, StData1$, StData2$) As Boolean
  Dim SD$, Ret$
  Dim RelayType$
  
  RelayType = "MM"
  ReadMM = False
  
  SD = "@" & Format(No, "00") & RelayType
  Ret = Obj.SendExsyn(SD, 0)
  If Ret = "" Then
    Exit Function
  End If
  If Mid(Ret, 4, 2) = RelayType Then
    If Mid(Ret, 6, 2) = "00" Then
      StData1 = Mid(Ret, 8, 2)
      Select Case StData1
        Case "01"
          StData2 = "C250"
        Case "02"
          StData2 = "C500"
        Case "03"
          StData2 = "C120/C50"
        Case "09"
          StData2 = "C250F"
        Case "0A"
          StData2 = "C500F"
        Case "0B"
          StData2 = "C120F"
        Case "0E"
          StData2 = "C2000"
        Case "10"
          StData2 = "C10000H"
        Case "11"
          StData2 = "C2000H/CQM1"
        Case "12"
          StData2 = "C20H/C28H/C40H/C200H"
        Case "13"
          StData2 = "C1000HF"
        Case "20"
          StData2 = "CV500"
        Case "21"
          StData2 = "CV1000"
        Case "22"
          StData2 = "CV2000"
        Case "40"
          StData2 = "CVM1-CPU01"
        Case "41"
          StData2 = "CVM1-CPU11"
        Case Else
          StData2 = "Vi/o^"
      End Select
      ReadMM = True
    End If
  End If
End Function

'eXg֐@Mf[^AMł邩eXg܂
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'SendData Mf[^CRR[hȊO̕
'RecData  Mf[^
'
'֐̎sɐꍇATRUEԂB
'sꍇAFALSEԂB
Function PlcTS(Obj As Rs, ByVal No%, ByVal SendData$, RecData$) As Boolean
  Dim SD$, Ret$, l%
  Dim RelayType$
  
  RelayType = "TS"
  PlcTS = False
  
  SD = "@" & Format(No, "00") & RelayType & Left(SendData, 122)
  Ret = Obj.SendExsyn(SD, 0)
  If Ret = "" Then
    Exit Function
  End If
  If Mid(Ret, 4, 2) = RelayType Then
    l = Len(Ret)
    RecData = Mid(Ret, 6, l - 8)
    PlcTS = True
  End If
End Function

'R}h̓o^֐
' őPOӏ̃f[^o^ł܂B
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'Area     ǂݏoGA̔ziĺAȉ̐j
'     1Fo̓[A⏕[A⏕[
'     2FN[
'     3Fێ[
'     4F⏕L[
'     5F^C}
'     6F^C}
'     7FJE^
'     8FtJE^
'     9Ff[^
'ȉ́A@ˑ
'     20:ώZ^C}
'     99:gGAiJgj
'     100`115FgGAioNw@1000A1150FɑΉj
'CH       ǂݏo`l̔ziĺAj
'DataType ǂݏof[^̌`̔ziĺAj
'         0`15ł́Aړ_̎wB-1ł́A`lf[^
'DataNum  f[^(1`10)
'
'֐̎sɐꍇATRUEԂB
'sꍇAFALSEԂB
Function WriteQQ(Obj As Rs, ByVal No%, Area() As Integer, CH() As Integer, DataType() As Integer, ByVal DataNum As Integer) As Boolean
  Dim i, SD$, Ret$
  Dim RelayType$
  
  RelayType = "QQMR"
  WriteQQ = False
  If (DataNum <= 0) Or (DataNum > 10) Then
    Exit Function
  End If
  SD = "@" & Format(No, "00") & RelayType
  For i = 0 To DataNum - 1
    If i > 0 Then
      SD = SD & ","
    End If
    Select Case Area(i)
      Case 1  'o̓[A⏕[A⏕[
        SD = SD & "CIO "
      Case 2  'N[
        SD = SD & "LR  "
      Case 3  'ێ[
        SD = SD & "HR  "
      Case 4  '⏕L[
        SD = SD & "AR  "
      Case 5  '^C}
        SD = SD & "TIM "
      Case 6  '^C}
        SD = SD & "TIMH"
      Case 7  'JE^
        SD = SD & "CNT "
      Case 8  'tJE^
        SD = SD & "CNTR"
      Case 9  'f[^
        SD = SD & "DM  "
      Case 20  'ώZ^C}
        SD = SD & "TTIM"
      Case 99 'g
        SD = SD & "EM  "
      Case 100 To 115  'f[^
        SD = SD & "EM" & Right("00" & Hex(Area(i) - 100), 2)
      Case Else
        Exit Function
    End Select
    SD = SD & Format(CH(i), "0000")
    If DataType(i) < 0 Then
      SD = SD & "CH"
    Else
      SD = SD & Format(DataType(i), "00")
    End If
  Next
  Ret = Obj.SendExsyn(SD, 0)
  If Ret = "" Then
    Exit Function
  End If
  If Mid(Ret, 4, 4) = RelayType Then
    If Mid(Ret, 8, 2) = "00" Then
      WriteQQ = True
    End If
  End If
End Function

'ꊇǂݏo֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'DataNum  `l
'
'֐̎sɐꍇAf[^̓zԂB
'sꍇAzOFALSEĕԂBFR(0)=-1
Function ReadQQ(Obj As Rs, ByVal No%, ByRef DataNum As Integer)
  Dim i, d() As String, SD$, Ret$, s$, l%
  Dim RelayType$, c$, tmp(30) As String
  
  RelayType = "QQIR"
  ReDim d(0)
  d(0) = "FALSE"
  ReadQQ = d
  SD = "@" & Format(No, "00") & RelayType
  Ret = Obj.SendExsyn(SD, 0)
  If Ret = "" Then
    Exit Function
  End If
  If Mid(Ret, 4, 4) = RelayType Then
    If Mid(Ret, 8, 2) = "00" Then
      l = Len(Ret) - 12
      s = ""
      DataNum = 0
      For i = 0 To l - 1
        c = Mid(Ret, 10 + i, 1)
        If c = "," Then
          tmp(DataNum) = s
          s = ""
          DataNum = DataNum + 1
        Else
          s = s & c
        End If
      Next
      tmp(DataNum) = s
      DataNum = DataNum + 1
      ReDim d(DataNum - 1)
      For i = 0 To DataNum - 1
        d(i) = tmp(i)
      Next
      ReadQQ = d
    End If
  End If
End Function

'ẘgGÃf[^ǂݍފ֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'BK       oN@-1:JgoN@0`15Fw̃oN
'CH       ǂݏoJn`l
'DataNum  `l(1`30)
'
'֐̎sɐꍇA10if[^̓zԂB
'sꍇAzO-1ĕԂBFR(0)=-1
Function ReadE(Obj As Rs, ByVal No%, ByVal BK%, ByVal CH%, ByVal DataNum%)
  Dim i, d() As Long, SD$, Ret$, s$
  Dim RelayType$
  
  RelayType = "RE"
  ReDim d(0)
  d(0) = -1
  ReadE = d
  If (DataNum <= 0) Or (DataNum > 30) Then
    Exit Function
  End If
  If BK < 0 Then
    SD = "@" & Format(No, "00") & RelayType & "  "
  Else
    SD = "@" & Format(No, "00") & RelayType & Right("00" & Hex(BK), 2)
  End If
  SD = SD & Format(CH, "0000") & Format(DataNum, "0000")
  Ret = Obj.SendExsyn(SD, 0)
  If Ret = "" Then
    Exit Function
  End If
  If Mid(Ret, 4, 2) = RelayType Then
    If Mid(Ret, 6, 2) = "00" Then
      ReDim d(DataNum - 1)
      For i = 0 To DataNum - 1
        s = Mid(Ret, 8 + 4 * i, 4)
        d(i) = CLng("&H" & s)
      Next
      ReadE = d
    End If
  End If
End Function

'ẘgGAɃf[^ފ֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
'BK       oN@-1:JgoN@0`15Fw̃oN
'CH       ݊Jn`l
'WrData   ރf[^̔ziĺAO܂͂P݂̂łj
'DataNum  f[^(1`29)
'
'֐̎sɐꍇATRUEԂB
'sꍇAFALSEԂB
Function WriteE(Obj As Rs, ByVal No%, ByVal BK%, ByVal CH As Long, WrData() As Long, ByVal DataNum%) As Boolean
  Dim i, SD$, Ret$, s$
  Dim RelayType$
  
  RelayType = "WE"
  WriteE = False
  If (DataNum <= 0) Or (DataNum > 29) Then
    Exit Function
  End If
  If BK < 0 Then
    SD = "@" & Format(No, "00") & RelayType & "  "
  Else
    SD = "@" & Format(No, "00") & RelayType & Right("00" & Hex(BK), 2)
  End If
  SD = SD & Format(CH, "0000")
  For i = 0 To DataNum - 1
    SD = SD & Right("0000" & Hex(WrData(i)), 4)
  Next
  Ret = Obj.SendExsyn(SD, 0)
  If Ret = "" Then
    Exit Function
  End If
  If Mid(Ret, 4, 2) = RelayType Then
    If Mid(Ret, 6, 2) = "00" Then
      WriteE = True
    End If
  End If
End Function

'A{[g֐
'Obj      VvʐM̃IuWFNg
'No       @NoiV[PT̃}jAQƂ̂Ɓj
Sub PlcXZ(Obj As Rs, ByVal No%)
  Dim SD$
   
  SD = "@" & Format(No, "00") & "XZ"
  Obj.SendExsyn SD, 0
End Sub

'CjV֐
'Obj      VvʐM̃IuWFNg
Sub PlcInit(Obj As Rs)
  Dim SD$
   
  SD = "@" & "**"
  Obj.SendExsyn SD, 0
End Sub

