﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace sampleC1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            cnt = 0;
        }

        private int cnt;

        private void Form1_Load(object sender, EventArgs e)
        {
            axRs1.Open();
        }

        private void Form1_FormClosed(object sender, FormClosedEventArgs e)
        {
            axRs1.Close();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            int[] send = {2,3};
            long ret;
            object[] dm;
            string s;

            ret = axRs1.WriteCHs("DM", 0, 9, 1);
            ret = axRs1.WriteCHs("DM", 1, send, 2);

            dm = (object[])axRs1.ReadCHs("DM", 0, 3);
            Type t = dm[0].GetType();
            if (t != typeof(string))
            {
                s = "";
                for (int i = 0; i < dm.Length; i++)
                {
                    s += " " + dm[i].ToString();
                }
                label1.Text = s;
            }else{
                int c = int.Parse((string)dm[1]);
                label1.Text = "Error " + c.ToString();
            }

        }

        private void button2_Click(object sender, EventArgs e)
        {
            long ret;

            cnt = 1;
            ret = axRs1.WriteCH("DM", 0, 11, 1);
        }

        private void axRs1_OnComFINS(object sender, AxPCTOPLCLib._IRsEvents_OnComFINSEvent e)
        {
            int[] send = { 21, 31 };
            long ret;
            string s;

            object[] str = (object[])e.command;
            object[] val = (object[])e.val;

            label2.Text = str[0].ToString() + " " + str[1].ToString() + " " + str[2].ToString()
                + " " + str[3].ToString() + " " + str[4].ToString();

            Type t = val[0].GetType();
            switch (cnt)
            {
                case 1:
                    if (t == typeof(string))
                    {
                        if ((string)val[0] == "Ok")
                        {
                            cnt = 2;
                            ret = axRs1.WriteCH("DM", 1, send, 2);
                        }
                        else
                        {
                            label1.Text = "エラー 1:" + val[1];
                        }
                    }
                    break;
                case 2:
                    if (t == typeof(string))
                    {
                        if ((string)val[0] == "Ok")
                        {
                            cnt = 3;
                            ret = axRs1.ReadCH("DM", 0, 3);
                        }
                        else
                        {
                            label1.Text = "エラー 2:" + val[1];
                        }
                    }
                    break;
                case 3:
                    if (t != typeof(string))
                    {
                        s = "";
                        for (int i = 0; i < val.Length; i++)
                        {
                            s += " " + val[i].ToString();
                        }
                        label1.Text = s;
                    }
                    else
                    {
                        label1.Text = "Error 3:" + val[1];
                    }
                    break;
            }
        }

        private void axRs1_OnError(object sender, AxPCTOPLCLib._IRsEvents_OnErrorEvent e)
        {
            label1.Text = "タイムアウト";
        }
    }
}
