﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace sampleC
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            cnt = 0;
        }

        private int cnt;

        private void Form1_Load(object sender, EventArgs e)
        {
            axRs1.Open();
        }

        private void Form1_FormClosed(object sender, FormClosedEventArgs e)
        {
            axRs1.Close();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            int[] send = { 2, 3 };
            object[] dm;
            string s;

            axRs1.WriteCHs("DM", 0, 9, 1);
            axRs1.WriteCHs("DM", 1, send, 2);

            dm = (object[])axRs1.ReadCHs("DM", 0, 3);
            s = "";
            try
            {
                for (int i = 0; i < dm.Length; i++)
                {
                    s += " " + dm[i].ToString();
                }
                label1.Text = s;
            }
            catch
            {
                label1.Text = "Error " + dm[1].ToString();
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            cnt = 1;
            axRs1.WriteCH("DM", 0, 11, 1);
        }

        private void axRs1_OnComFINS(object sender, AxPCTOPLCLib._IRsEvents_OnComFINSEvent e)
        {
            int[] send = { 21, 31 };
            long ret;
            string s;

            object[] str = (object[])e.command;
            object[] val = (object[])e.val;

            label2.Text = str[0].ToString() + " " + str[1].ToString() + " " + str[2].ToString()
                + " " + str[3].ToString() + " " + str[4].ToString();

            try
            {
                switch (cnt)
                {
                    case 1:
                        if ((string)val[0] == "Ok")
                        {
                            cnt = 2;
                            ret = axRs1.WriteCH("DM", 1, send, 2);
                        }
                        break;
                    case 2:
                        if ((string)val[0] == "Ok")
                        {
                            cnt = 3;
                            ret = axRs1.ReadCH("DM", 0, 3);
                        }
                        break;
                    case 3:
                        s = "";
                        for (int i = 0; i < val.Length; i++)
                        {
                            s += " " + val[i].ToString();
                        }
                        label1.Text = s;
                        break;
                }
            }
            catch
            {
                label1.Text = "エラー";
            }
        }

        private void axRs1_OnError(object sender, AxPCTOPLCLib._IRsEvents_OnErrorEvent e)
        {
            label1.Text = "タイムアウト";
        }
    }
}
